Bug 1413637 - [abrt] abrt: run_event(): abrt-action-ureport:81:run_event:NameError: name 'report' is not defined
Summary: [abrt] abrt: run_event(): abrt-action-ureport:81:run_event:NameError: name 'r...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: x86_64
OS: Unspecified
urgent
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c503838c81f8ee99e505390a89e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 15:17 UTC by Kamil Páral
Modified: 2017-01-28 10:45 UTC (History)
9 users (show)

Fixed In Version: abrt-2.10.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-19 10:06:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (525 bytes, text/plain)
2017-01-16 15:17 UTC, Kamil Páral
no flags Details
File: cgroup (229 bytes, text/plain)
2017-01-16 15:17 UTC, Kamil Páral
no flags Details
File: environ (1.53 KB, text/plain)
2017-01-16 15:17 UTC, Kamil Páral
no flags Details
File: mountinfo (3.22 KB, text/plain)
2017-01-16 15:17 UTC, Kamil Páral
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-16 15:17 UTC, Kamil Páral
no flags Details
File: open_fds (233 bytes, text/plain)
2017-01-16 15:17 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2017-01-16 15:17:41 UTC
Version-Release number of selected component:
abrt-2.10.0-1.fc26

Additional info:
reporter:       libreport-2.9.0
cmdline:        /usr/bin/python3 -u /usr/libexec/abrt-action-ureport
crash_function: run_event
exception_type: NameError
executable:     /usr/libexec/abrt-action-ureport
kernel:         4.10.0-0.rc3.git4.1.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
abrt-action-ureport:81:run_event:NameError: name 'report' is not defined

Traceback (most recent call last):
  File "/usr/libexec/abrt-action-ureport", line 179, in <module>
    run_event("watch_Bugzilla", dirname)
  File "/usr/libexec/abrt-action-ureport", line 81, in run_event
    state, ret = report.run_event_on_problem_dir(dump_dir_name, event_name)
NameError: name 'report' is not defined

Local variables in innermost frame:
dump_dir_name: '/var/spool/abrt/ccpp-2017-01-16-16:16:11-2514'
event_name: 'watch_Bugzilla'

Comment 1 Kamil Páral 2017-01-16 15:17:48 UTC
Created attachment 1241287 [details]
File: backtrace

Comment 2 Kamil Páral 2017-01-16 15:17:50 UTC
Created attachment 1241288 [details]
File: cgroup

Comment 3 Kamil Páral 2017-01-16 15:17:51 UTC
Created attachment 1241289 [details]
File: environ

Comment 4 Kamil Páral 2017-01-16 15:17:54 UTC
Created attachment 1241290 [details]
File: mountinfo

Comment 5 Kamil Páral 2017-01-16 15:17:56 UTC
Created attachment 1241291 [details]
File: namespaces

Comment 6 Kamil Páral 2017-01-16 15:17:57 UTC
Created attachment 1241292 [details]
File: open_fds

Comment 7 Jakub Filak 2017-01-18 05:35:26 UTC
Thank you for the report!

I missed this bug in the review of this commit:
https://github.com/abrt/abrt/pull/1203/commits/6599d9705d70480da4a70b25c3dea37bf20990d0

We just need to call 'run_event_on_problem_dir' and not 'report.run_event_on_problem_dir' as the function is imported as a solo identifier from the report module.

Comment 8 Matej Habrnal 2017-01-18 15:14:40 UTC
This commit fixes the bug: https://github.com/abrt/abrt/commit/9b1b0c6c49d19a63a0e781fcc56d3b4ea530f2da

Comment 9 Delete My Account 2017-01-28 10:45:16 UTC
Similar problem has been detected:

LiveDVD Install process

reporter:       libreport-2.9.0
cmdline:        /usr/bin/python3 -u /usr/libexec/abrt-action-ureport
crash_function: run_event
exception_type: NameError
executable:     /usr/libexec/abrt-action-ureport
kernel:         4.10.0-0.rc3.git4.1.fc26.x86_64
package:        abrt-2.10.0-1.fc26
reason:         abrt-action-ureport:81:run_event:NameError: name 'report' is not defined
runlevel:       N 5
type:           Python3
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.